$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.187.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.187.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D2DF096006D988E0B678DF34584276B6FBC84899AE29F9A6F2AFAD2761C2751C'
  checksumType = 'sha256'
  checksum64 = 'D2DF096006D988E0B678DF34584276B6FBC84899AE29F9A6F2AFAD2761C2751C'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.187-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
